Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2504)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2512)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! upper bounds of cross section and 3d output changed from nx+1,ny+1 to nx,ny
+! no output of ghost layer data
+! 
+! 2504 2017-09-27 10:36:13Z maronga
 ! Support roots and water under pavement. Added several pavement types.
 ! 
@@ -3886,5 +3890,5 @@
     LOGICAL      ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
 
-    REAL(wp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf !< 
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf !< 
 
 
@@ -3903,6 +3907,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = c_liq_av(j,i)
                 ENDDO
@@ -3921,6 +3925,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = c_soil_av(j,i)
                 ENDDO
@@ -3939,6 +3943,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = c_veg_av(j,i)
                 ENDDO
@@ -3957,6 +3961,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = ghf_av(j,i)
                 ENDDO
@@ -3975,6 +3979,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = lai_av(j,i)
                 ENDDO
@@ -3993,6 +3997,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = m_liq_av(j,i)
                 ENDDO
@@ -4013,6 +4017,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO k = nzb_soil, nzt_soil
                       local_pf(i,j,k) = m_soil_av(k,j,i)
@@ -4035,6 +4039,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    local_pf(i,j,nzb+1) =  qsws_liq_av(j,i)
                 ENDDO
@@ -4053,6 +4057,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    local_pf(i,j,nzb+1) =  qsws_soil_av(j,i)
                 ENDDO
@@ -4071,6 +4075,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
+             DO  i = nxl, nxr
+                DO  j = nys, nyn 
                    local_pf(i,j,nzb+1) =  qsws_veg_av(j,i)
                 ENDDO
@@ -4090,6 +4094,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = r_a_av(j,i)
                 ENDDO
@@ -4108,6 +4112,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = r_s_av(j,i)
                 ENDDO
@@ -4128,6 +4132,6 @@
              ENDDO
           ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
                    DO k = nzb_soil, nzt_soil
                       local_pf(i,j,k) = t_soil_av(k,j,i)
@@ -4177,5 +4181,5 @@
     LOGICAL      ::  found !< 
 
-    REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb_soil:nzt_soil) ::  local_pf !< 
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_soil:nzt_soil) ::  local_pf !< 
 
 
